Bug 164064 - wrong dependencies for 2.6.12-1.1390_FC4
Summary: wrong dependencies for 2.6.12-1.1390_FC4
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-23 20:50 UTC by Adam Pribyl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-28 07:38:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Pribyl 2005-07-23 20:50:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.10) Gecko/20050717

Description of problem:
There is probably something wrong with dependencies for kernel 2.6.12-1.1398_FC4. I noticed when updating 2.6.12-1.1390_FC4 also packages cman-kernel, dlm-kernel, gnbd-kernel were as dependencies. After yum update I updated to kernel-2.6.12-1.1398_FC4, and then deleted kernel-2.6.12-1.1390_FC4 with "yum remove kernel-2.6.12-1.1390_FC4". Now when I try yum update I get errors.

Version-Release number of selected component (if applicable):
2.6.12-1.1390_FC4

How reproducible:
Always

Steps to Reproduce:
1. yum update
2. yum remove kernel-2.6.12-1.1390_FC4
3. yum update
  

Actual Results:  Yum update fails.
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package cman-kernel.x86_64 0:2.6.11.5-20050601.152643.FC4.8 set to be installed
---> Package gnbd-kernel.x86_64 0:2.6.11.2-20050420.133124.FC4.42 set to be installed
---> Package dlm-kernel.x86_64 0:2.6.11.5-20050601.152643.FC4.9 set to be installed
--> Running transaction check
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: gnbd-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: dlm-kernel
Importing Additional filelist information for dependency resolution
--> Processing Dependency: /lib/modules/2.6.12-1.1390_FC4 for package: cman-kernel
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.12-1.1390_FC4 set to be installed
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 cman-kernel             x86_64     2.6.11.5-20050601.152643.FC4.8  updates-released  152 k
 dlm-kernel              x86_64     2.6.11.5-20050601.152643.FC4.9  updates-released   83 k
 gnbd-kernel             x86_64     2.6.11.2-20050420.133124.FC4.42  updates-released   15 k
Installing for dependencies:
 kernel                  x86_64     2.6.12-1.1390_FC4  updates-released   14 M

Transaction Summary
=============================================================================
Install      4 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         
Total download size: 15 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Check Error:   package kernel-2.6.12-1.1398_FC4 (which is newer than kernel-2.6.12-1.1390_FC4) is already installed


Expected Results:  Yum updates.

Additional info:


Workaround is to "yum remove kernel-2.6.11-1.1369_FC4" which will remove also 
Removing:
 kernel                  x86_64     2.6.11-1.1369_FC4  installed          46 M
Removing for dependencies:
 GFS-kernel              x86_64     2.6.11.8-20050601.152643.FC4.2  installed         911 k
 cman-kernel             x86_64     2.6.11.5-20050601.152643.FC4.2  installed         496 k
 dlm-kernel              x86_64     2.6.11.5-20050601.152643.FC4.2  installed         497 k
 gnbd-kernel             x86_64     2.6.11.2-20050420.133124.FC4.35  installed          41 k


Note You need to log in before you can comment on or make changes to this bug.